<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.kym.mapper.miniapp.OrderCouponMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.kym.entity.miniapp.OrderCoupon">
        <result column="id" property="id" />
        <result column="company_id" property="companyId" />
        <result column="coupon_id" property="couponId" />
        <result column="activity_id" property="activityId" />
        <result column="user_coupon_id" property="userCouponId" />
        <result column="user_id" property="userId" />
        <result column="start_charge_seq" property="startChargeSeq" />
        <result column="coupon_type" property="couponType" />
        <result column="discount" property="discount" />
        <result column="discount_amount" property="discountAmount" />
        <result column="status" property="status" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id,company_id,coupon_id, activity_id, user_coupon_id, user_id, start_charge_seq, coupon_type, discount, discount_amount,status,create_time,update_time
    </sql>

</mapper>
